DOVEADM-DEDUPLICATE(1)

NAME
doveadm-deduplicate - expunge duplicate messages

SYNOPSIS
doveadm [-Dv] deduplicate [-u user| -A| -F file ] [-S socket_path] [ -m] search_query

DESCRIPTION
This command is used to expunge duplicated messages in mailboxes. doveadm deduplicate is mainly useful to revert some (more or less) accidental duplication of messages, e.g. after doveadm copy or doveadm import. doveadm(1) will delete the newest duplicated messages from the mailbox and keep the oldest.
Deduplication across multiple mailboxes is not supported. @INCLUDE:global-options@

Command specific options: @INCLUDE:option-A@ @INCLUDE:option-F-file@ @INCLUDE:option-S-socket@

-m  if the -m option is given, doveadm(1) will deduplicate by Message-Id header. By default deduplication will be done by message GUIDs. @INCLUDE:option-u-user@

ARGUMENTS

search_query
    expunge duplicates found from messages matching the given search query. Typically a search query like 'mailbox mailbox_name OR mailbox other_box' will be sufficient. See doveadm-search-query(7) for details.

EXAMPLE
This example shows how to list and expunge duplicate messages from a mailbox.

doveadm -f table fetch -u jane 'guid uid' mailbox a_Box | sort
guid                             uid
8aad0f0a30169f4bea620000ca356bad 18751
8aad0f0a30169f4bea620000ca356bad 18756
923e301ab9219b4b4f440000ca356bad 18748
923e301ab9219b4b4f440000ca356bad 18753
...
doveadm deduplicate -u jane mailbox a_Box
doveadm -f table fetch -u jane 'guid uid' mailbox a_Box | sort
guid                             uid
8aad0f0a30169f4bea620000ca356bad 18751
923e301ab9219b4b4f440000ca356bad 18748
a7999e1530739c4bd26d0000ca356bad 18749
...
@INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1), doveadm-copy(1), doveadm-fetch(1), doveadm-import(1), doveadm-search-query(7)